""" 
The new and improved XML export for Silva content. This will replace
the existing export machinery.
"""
from Products.Silva.silvaxml.xmlexport import theXMLExporter, SilvaBaseProducer


ProductNS = 'http://zope.org/Members/aaltepet/ns/silva_custom_auto_toc'

def initializeXMLExportRegistry():
    from Products.SilvaCustomAutoTOC.CustomAutoTOC import CustomAutoTOC
    exporter = theXMLExporter
    exporter.registerNamespace('catoc', ProductNS)
    exporter.registerProducer(CustomAutoTOC, CustomAutoTOCProducer)

class CustomAutoTOCProducer(SilvaBaseProducer):
    def sax(self):
        self.startElementNS(ProductNS,
                            'custom_auto_toc',
                            {'id': self.context.id,
                             'depth': str(self.context.get_depth()),
                             'types': ','.join(self.context.get_local_types()) }
                          )
        self.metadata()
        self.endElementNS(ProductNS,'custom_auto_toc')
